#!/bin/sh

(cd base && git apply ../dockerfile.patch)

PRODUCT_VERSION=$(grep "ARG product_version=" base/Dockerfile | sed "s/ARG product_version=//")
BUILD_NUMBER=$(grep "ARG build_number=" base/Dockerfile | sed "s/ARG build_number=//")

if [ "$CI_COMMIT_BRANCH" = "$CI_DEFAULT_BRANCH" ]; then
  docker build --pull \
      -t libresh/onlyoffice \
      -t libresh/onlyoffice:$PRODUCT_VERSION.$BUILD_NUMBER \
      -t libresh/onlyoffice:$PRODUCT_VERSION.$BUILD_NUMBER-$CI_COMMIT_SHORT_SHA \
      -f base/Dockerfile .
else
  docker build --pull \
      -t libresh/onlyoffice:$CI_COMMIT_BRANCH \
      -t libresh/onlyoffice:$CI_COMMIT_BRANCH-$PRODUCT_VERSION.$BUILD_NUMBER \
      -t libresh/onlyoffice:$CI_COMMIT_BRANCH-$PRODUCT_VERSION.$BUILD_NUMBER-$CI_COMMIT_SHORT_SHA\
      -f base/Dockerfile .
fi

docker push -a libresh/onlyoffice
